как установить Flash-плагин на платформе Fedora Core 3?

Последние flash rpm и tarball оставили мою машину с ядром Fedora Core 3.

В системе установлены два браузера. Firefox 2.0.x и Opera 10.11. Эти два браузера не отображают флэш-контент.

Я попытался установить последний плагин FlashPlayer в браузерах. Но установка RPM отображает список отсутствующих зависимостей. И даже после того, как я скопировал файл libflashplayer.so в путь к плагинам браузеров, они не покажут флеш-контент.

Поскольку мне не разрешено обновлять ОС, что приведет к потере важных данных, мне нужна только ранняя версия Flash Player rpm или tarball для Linux (Fedora Core 3).

  1. Откуда я могу найти старую версию FlashPlayer rpm или tarball для Linux?
  2. Если установить Flash-плагин невозможно, то каковы другие альтернативы?

Благодарю.

Fedora Core 3 достигла конца жизни 16 января 2006 года. Это означает, что обновлений безопасности не было более пяти лет. Пол-десятилетия!

Это проблема, которую вам необходимо решить:

Поскольку мне не разрешено обновлять ОС, что приведет к потере важных данных,

Что делать, если система должна умереть? Или, что еще более важно, что, если известные уязвимости в Firefox 2.0 и старое ядро ​​Linux, которое вы используете, позволяют злоумышленнику скомпрометировать вашу машину и уничтожить ваши данные?

Ответ на ваш вопрос: если вам действительно нужна коробка FC3 без изменений, вам необходимо как можно больше изолировать эту систему . Он не должен разговаривать с общедоступным Интернетом, и я был бы довольно подозрительным в том, чтобы поместить его в мою интернет-сеть. Это не теоретическая проблема – это реальный риск. И включение вспышки там только увеличит этот риск.

Таким образом, ответ действительно должен быть: не используйте эту систему . Если вам нужна Flash-версия или просмотр веб-страниц в целом! – используйте другую систему. И эта разная система может (и должна!) Запускать текущую современную ОС, и поэтому запуск Flash не будет проблемой.

И найдите способ сделать ваши данные безопасными. Потому что эта проблема будет только усложняться, а не проще.

1) Попробуйте выполнить двоичную установку Adobe. (Выберите Linux -> tar.gz со страницы загрузки Adobe)

2) Для бесплатной (как в случае свободы) альтернативы Adobe Flash, посмотрите на Gnu Gnash. Он отлично работает для меня.